/*
 * Class BAG [INTEGER_8]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_588 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_588 [] = {0xFF01,237,587,176,0xFFFF};
static const EIF_TYPE_INDEX egt_2_588 [] = {0xFF01,587,176,0xFFFF};
static const EIF_TYPE_INDEX egt_3_588 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_588 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_588 [] = {0xFF01,587,176,0xFFFF};
static const EIF_TYPE_INDEX egt_6_588 [] = {0xFF01,587,176,0xFFFF};
static const EIF_TYPE_INDEX egt_7_588 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_588 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_588 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_588 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_588 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_588 [] = {587,176,0xFFFF};
static const EIF_TYPE_INDEX egt_13_588 [] = {0xFF01,587,176,0xFFFF};
static const EIF_TYPE_INDEX egt_14_588 [] = {0xFF01,584,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_588 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_588[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_588), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_588), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_588), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_588), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_588), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_588), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_588), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_588), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_588), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_588), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_588), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_588), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_588), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_588), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1890, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1891, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1892, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1893, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1894, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_588), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_588), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1947, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1948, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1949, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
};
void Init588(void)
{
	IDSC(desc_588, 0, 587);
	IDSC(desc_588 + 1, 1, 587);
	IDSC(desc_588 + 32, 77, 587);
	IDSC(desc_588 + 41, 282, 587);
	IDSC(desc_588 + 50, 229, 587);
}


#ifdef __cplusplus
}
#endif
